/*****************************************************************************
* Catalyst F200Z Sample Codes
* RTC Sample
* Version : 1.0.0
* R&D : Digitronic.ir Team			12/02/16
* www.ECA.ir
* www.Eshop.ECA.ir
* www.Forum.ECA.ir
*****************************************************************************/

#include "stm32f2xx.h"
#include "stdio.h"
#include "usart.h"
#include "rtc.h"
#include "delay.h"

RTC_TimeTypeDef  RTC_TimeStruct;

int main(void)
{
	Uart_Init(115200);
	
	printf("Start RTC \r\n");
	RTC_Start();
	
	while (1)
	{
		RTC_GetTime(RTC_Format_BIN, &RTC_TimeStruct);
		printf("Clock = %02i:%02i:%02i\r\n", 
			RTC_TimeStruct.RTC_Hours, RTC_TimeStruct.RTC_Minutes, RTC_TimeStruct.RTC_Seconds);
		delay_ms(1000);
	}
}
